Subject: git bug? + question

From: Miles Bader <[email-masked]>
Date: Thu, 02 Nov 2006 14:56:51 +0900

Hi,

I tried the following sequence of commands to make two clones of a
remote repository, but got an error:

   $ git clone --use-separate-remote ssh://fp.gnu.org/~/git/snogray.git snogray-git
   $ git clone --use-separate-remote --reference snogray-git ssh://fp.gnu.org/~/git/snogray.git imp-sample
   error: refs/reference-tmp/refs/remotes/origin/HEAD points nowhere!

Is this a real error, or bad usage?

Also, a question:  Is there anyway to make git-clone use
--use-separate-remote by default?  I'm trying for a "lots of branches in
a single shared remote repository" style, and use-separate-remote seems
more sane for this usage.

I'm using git version 1.4.3.3.

Thanks,

-Miles

-- 
"I distrust a research person who is always obviously busy on a task."